Skip to content

Create deployment

POST
/deployments
curl --request POST \
--url https://example.com/api/deployments \
--header 'Content-Type: application/json' \
--data '{ "projectId": "example", "serverId": "example", "destinationId": "example", "environmentId": "example", "resourceId": "example" }'

Creates a deployment from an explicit project, server, environment, and resource context. Public docs: /docs/deploy/sources/#deployment-source

Media type application/json
object
projectId
required
string
>= 1 characters
serverId
required
string
>= 1 characters
destinationId
string
>= 1 characters
environmentId
required
string
>= 1 characters
resourceId
required
string
>= 1 characters
Example generated
{
"projectId": "example",
"serverId": "example",
"destinationId": "example",
"environmentId": "example",
"resourceId": "example"
}

OK

Media type application/json
object
id
required
string
Example generated
{
"id": "example"
}